<?php
namespace tx;
include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;

/**
 * 线上协议签约demo
 * @author 邵鉴
 * @version 1.0
 * @date 2024/10/22
 */
class Agree1050Demo extends TxDemo
{
    public static function main()
    {
        new Agree1050Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum()."WWC");
        $bizParameter->addParam("signNum", "tlt202405302000211");
        $bizParameter->addParam("memberName", "双流老黄记豆和苗面馆");
        $bizParameter->addParam("agreementType", "1");

        $agreementJson = [
            "sepMemBusCode" => "20240523300002",
            "sepMemName" => "魏才",
            "sepWay" => "1",
            "sepRateOrAmt" => "2"
        ];
        $bizParameter->addMapParam("agreementJson", $agreementJson);
      
        
       /*   Map<String, Object> agreementJson2 = new HashMap<>();
        agreementJson2.put("cusId", "6601000601500RF");
        agreementJson2.put("payAcctNo", "415153912108803");
        bizParameter.addMapParam("agreementJson", agreementJson2);*/
      
        $bizParameter->addParam("jumpPageType", "1");
        $bizParameter->addParam("jumpUrl", "http://www.baidu.com");
        $bizParameter->addParam("notifyUrl", "http://test.allinpay.com/open/testNotify");
        /**
         * http://test.allinpay.com/open/testNotify
        http://192.168.26.80:8080/welcome   查看
         */
        
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1050", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}

Agree1050Demo::main();