<?php

namespace tx;

include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;

/**
 *  线下协议上传demo
 * @version 1.0
 * @date 2024/3/19
 */
class Agree1051Demo extends TxDemo
{
    public static function main()
    {
        new Agree1051Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();

        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("signNum", "TESTWC0327-20000007");
        $bizParameter->addParam("memberName", "魏才个体工商户测试账号00");
        $bizParameter->addParam("agreementType", "2");
        $authPerAgreeInfo = [
            "authPhone" => "13601956907",
            "authPerName" => "魏才",
            "authPerCerNum" => DemoSM4Utils::encryptEcb($demoConfig->getSecretKey(), "321324199510081220"),
            "authPerCerType" => "1",
            "authPerAgreeToken" => "3320240516211791101871493390338"
        ];
        //授权协议信息
        $sepAuthPerAgreeInfo = [
            "authPhone" => "13601956907",
            "authPerName" => "魏才",
            "authPerCerNum" => DemoSM4Utils::encryptEcb($demoConfig->getSecretKey(), "321324199510081220"),
            "authPerCerType" => "1",
            "authPerAgreeToken" => "3320240516211791101871493390338",
            "authPerAgreeInfo" => $authPerAgreeInfo,

        ];
        $agreementJson = [
            "payeeAgreeToken"=>"3320240516211791101871493390338",
            "withdrawAgreeToken"=>"3320240516211791101871493390338",
            "sepMemBusCode"=>"zhongxin20240516200010",
            "sepMemName"=>"魏才个体工商户测试账号",
            "sepWay" => "1",
            "sepRateOrAmt"=>"10",
            "sepAgreeToken"=>"3320240516211791101871493390338",
            "sepwithdrawAgreeToken"=>"3320240516211791101871493390338",
            "authPerAgreeInfo" => $authPerAgreeInfo,
            "sepAuthPerAgreeInfo" => $sepAuthPerAgreeInfo
        ];
      //  $bizParameter->addMapParam("agreementJson", $agreementJson);
        
        $agreementJson2 = [
            "payAcctNoOpenAgreeToken" => "3320240425211783492858014507009",
            "coopConfirmToken" => "3320240425211783492858014507009",
            "nonNatureCusBenefitToken" => "3320240425211783492858014507009"
        ];
        /*  agreementJson2.put("cusId", "6601000601500RF");
        agreementJson2.put("payAcctNo", "415153912108803");*/
        $bizParameter->addMapParam("agreementJson", $agreementJson2);
        
        
       $bizParameter->addParam("notifyUrl", "http://test.allinpay.com/open/testNotify");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1051", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Agree1051Demo())->main();