<?php
namespace tx;
include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use TxClient;
use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;

/**
 *
 * 银行用户新增绑卡接口
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Member1028Demo extends TxDemo
{
    public static function main()
    {
        new Member1028Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("signNum", "tlt202405303002");
        $bizParameter->addParam("subAcctNo", "J04019900000435");



        $bankAccountDetails = [];
        $bankAccountDetails["acctNum"] = DemoSM4Utils::encryptEcb($demoConfig->getSecretKey(), "6210261104003846218"); // 35150198180100001940
        $bankAccountDetails["bankReservePhone"] = "13601956907";
        $bankAccountDetails["openBankNo"] = "01050000";
        $bankAccountDetails["openBankBranchName"] = "工商银行南京分行";
        $bankAccountDetails["payBankNumber"] = "102655030396";
        $bankAccountDetails["openBankProvince"] = "江苏";
        $bankAccountDetails["openBankCity"] = "南京";
        $bizParameter->addMapParam("bankAcctDetail", $bankAccountDetails);

        $bankAcctExtInfo = [];
//        bankAcctExtInfo.put("authProtocolVerNum", "6601000076300S2");
//        bankAcctExtInfo.put("authProtocolOrderNo", "12Fk-qEmdBTsiODNglA8");
//       bizParameter.addMapParam("bankAcctExtInfo", bankAcctExtInfo);

        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1028", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Member1028Demo())->main();
