<?php
namespace tx;
include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;
use TxClient;
/**
 *
 *银行用户信息变更申请
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Member1045Demo extends TxDemo
{
    public static function main() 
    {
        new Member1045Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("signNum", "zhongxin202403020008");
        $bizParameter->addParam("subAcctNo", "J04019900000198");

//        //个人用户信息变更
    /*    Map<String,Object> personBaseInfo = new HashMap<>();
//        //姓名 非必填
        personBaseInfo.put("name","魏才");
//        //证件类型 非必填
        personBaseInfo.put("cerType","1");
//        //身份证号码 非必填
       personBaseInfo.put("cerNum","321324199510081220");
        bizParameter.addMapParam("personBaseInfo",personBaseInfo);*/
        
        //企业用户信息变更
        $enterpriseBaseInfo = [];
        $enterpriseBaseInfo["enterpriseNature"] = "2";
        
        $enterpriseBaseInfo["enterpriseName"] = "魏才个体工商户测试账号";
        $enterpriseBaseInfo["enterpriseAdress"] = "金沪路55号";
        $enterpriseBaseInfo["addressCode"] = "320104";
        
        $enterpriseBaseInfo["unifiedSocialCredit"] = "82510116MABR2YX13G";
        $enterpriseBaseInfo["busLicenseValidate"] = "2099-12-12";
        $enterpriseBaseInfo["legalPersonName"] = "测试";
        $enterpriseBaseInfo["legalPersonCerType"] = "1";
        $enterpriseBaseInfo["legalPersonCerNum"] = DemoSM4Utils::encryptEcb($demoConfig->getSecretKey(),"3213241995100813221");
        $enterpriseBaseInfo["idValidateStart"] = "2021-12-31";
        $enterpriseBaseInfo["idValidateEnd"] = "2029-12-31";
        $enterpriseBaseInfo["legalPersonPhone"] = "13601956907";
        $bizParameter->addMapParam("enterpriseBaseInfo", $enterpriseBaseInfo);
        

//        //非必填
        $bankAcctExtInfo = [
            "acctRole"=>"008008",
            "registerPhone"=>""
        ];
        $bizParameter->addMapParam("bankAcctExtInfo",$bankAcctExtInfo);

        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1045", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Member1045Demo())->main();