<?php

namespace tx;
include 'TxDemo.php';
include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\TxUtils;
use vo\BizParameter;

/**
 *
 * 银行子账户账务明细查询
 * @author jijin
 * @version 1.0
 * @date 2024/5/10
 */
class Member1061Demo extends TxDemo
{
    public static function main()
    {
        new Member1061Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        //商户会员编号
        //$bizParameter->addParam("signNum", "#yunBizUserId_B2C#");
        
        $bizParameter->addParam("signNum", "tlt202405303002");
        $bizParameter->addParam("subAcctNo", "J04019900000435");
        //银行子账号
       // $bizParameter->addParam("subAcctNo", "J04019900000004");
        //查询日期（日期格式YYYYMMDD）  中信银行，开始日期和结算日期必须相同
        $bizParameter->addParam("dateStart","20240513");
        //结束日期，YYYYMMDD
        $bizParameter->addParam("dateEnd","20240513");
        //交易类型
        //01-入金分账
        //02-交易划转
        //03-提现
        //04-提现手续费
        //05-提现退汇
        //06-渠道来账
        //07-支付交易
        //08-退款交易
        //09-平台商户预付交易
        //平台扣罚
        //平台补贴
        //13-实时预清分
        //98-所有（返回明细类型）
        // 99-所有（返回汇总类型）
        //（备注：入担保白名单商户查询支付渠道入金时使用01类型）
        $bizParameter->addParam("qryTradeType","98");
        //单页查询条数  中信银行默认50条，不可更改 传了也不取
        $bizParameter->addParam("returnRows","100");
        //第一页查询：上送1，默认返回50条
        $bizParameter->addParam("page","1");

        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1061", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;

    }

}
(new Member1061Demo())->main();