<?php
namespace tx;
include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;
/**
 * 银行子账户支付测试demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Tx2081Demo extends TxDemo
{
    public static function main()
    {
        new Tx2081Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqSubTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("payerSignNum", "zhongxin042630008");
        $bizParameter->addParam("payerSubAcctNo", "J04019900000136");
        $bizParameter->addParam("payerName", "魏才");
        $bizParameter->addParam("receiverSignNum", "zhongxin202403020008");
        $bizParameter->addParam("receiverSubAcctNo", "J04019900000198");
        $bizParameter->addParam("receiverName", "四川锦明辉劳务有限公司");
        $bizParameter->addParam("receiveAmount", 1);
        $bizParameter->addParam("tradeAmount", 1);
        $bizParameter->addParam("selfFlag", "N");
        $bizParameter->addParam("selfAmount", 0);
        $bizParameter->addParam("fundType", "008001");
        $bizParameter->addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        $bizParameter->addParam("remark", "测试测试");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("2081", $bizParameter, $demoConfig->getUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Tx2081Demo())->main();
