<?php
namespace tx;

include 'TxDemo.php';
include 'TxClient.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';


require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;
/**
 * 银行子账户支付退款测试demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Tx2291Demo extends TxDemo
{
    public static function main()
    {
        new Tx2291Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("reqSubTraceNum", TxUtils::genReqTraceNum());
        
        
    /*    $bizParameter->addParam("oriReqTraceNum", "202404291003317514");
        $bizParameter->addParam("oriReqSubTraceNum", "202404291003311576");
        $bizParameter->addParam("oriTransDate", "20240418");*/
        $bizParameter->addParam("oriRespTraceNum", "20240516202837208101446633");
        $bizParameter->addParam("payerSignNum", "zhongxin202403020008");
        $bizParameter->addParam("payerSubAcctNo", "J04019900000198");
        $bizParameter->addParam("payerName", "四川锦明辉劳务有限公司");
        $bizParameter->addParam("receiverSignNum", "zhongxin042630008");
        $bizParameter->addParam("receiverSubAcctNo", "J04019900000136");
        $bizParameter->addParam("receiverName", "魏才");
        $bizParameter->addParam("receiveAmount", 1);
        $bizParameter->addParam("tradeAmount", 1);
        $bizParameter->addParam("selfFlag", "N");
        $bizParameter->addParam("selfAmount", 0);
        $bizParameter->addParam("fundType", "008001");
        
        $bizParameter->addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        $bizParameter->addParam("remark", "测试测试");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("2291", $bizParameter, $demoConfig->getUrl());
        // 打印响应结果
        echo PHP_EOL."响应结果: ".$txResponse->bizData;
    }
}
(new Tx2291Demo())->main();