<?php
namespace tx;

include 'TxDemo.php';
include 'TxClient.php';
include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';


require_once __DIR__ . '/../../vendor/autoload.php';

use config\DemoConfig;
use TxClient;
use util\TxUtils;
use vo\BizParameter;
/**
 * 银行子账户提现测试demo
 *
 * @author chenhe
 * @version 1.0
 * @date 2024/4/17
 */
class Tx2292Demo extends TxDemo {


    public static function main()
    {
        new Tx2292Demo();
        $demoConfig = self::$demoConfig;

        //#yunBizUserId_B2C#
        $str = "21751798293115834370" . "202402200002";
        $index = abs(TxUtils::hashCode($str));
        $tableId = sprintf("_%02d", $index % 32);
        echo PHP_EOL.("tableId: " .$tableId);
        
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
   /*   $bizParameter->addParam("signNum", "zhongxin202403020008");
        $bizParameter->addParam("subAcctNo", "J04019900000198");*/ //企业会员
        
        $bizParameter->addParam("signNum", "zhongxin2024043030002");
        $bizParameter->addParam("subAcctNo", "J04019900000189"); //个人会员
        
       /* $bizParameter->addParam("signNum", "zhongxin2024042920002");
        $bizParameter->addParam("subAcctNo", "J04019900000168");*/
        
        $bizParameter->addParam("tradeAmount", "10000000002");
        $bizParameter->addParam("respUrl", "http://test.allinpay.com/open/testNotify");
        $bizParameter->addParam("payMode", "WITHDRAW_BANK");
        $bizParameter->addParam("acctNum", "622002007262307510");
        $bizParameter->addParam("acctName", "王三华");
        $bizParameter->addParam("summary", "摘要");
        $bizParameter->addParam("extendParams", "扩展信息");

        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("2292", $bizParameter, $demoConfig->getUrl());
        // 打印响应结果
        echo PHP_EOL."响应结果: ".$txResponse->bizData;
    }
}
(new Tx2292Demo())->main();