<?php
namespace tx;

include 'TxDemo.php';
include 'TxClient.php';
include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';


require_once __DIR__ . '/../../vendor/autoload.php';

use config\DemoConfig;
use TxClient;
use util\TxUtils;
use vo\BizParameter;

/**
 * 清分文件管理demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Tx4004Demo extends TxDemo
{
    public static function main()
    {
        new Tx4004Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("fileOptType", "03");
        $bizParameter->addParam("fileType", "601");
       // $bizParameter->addParam("token", "3320240430151785204813282336769");
        //上传文件
        //$bizParameter->addParam("fileName", "2175433016244389069055229004215696L10146012024041801.txt");
        //下载文件
        $bizParameter->addParam("fileName", "2178306569818425344166666677799888010146012024052604.txt");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("4004", $bizParameter, $demoConfig->getQueryUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Tx4004Demo())->main();